Index: uspace/lib/drv/generic/remote_usb.c
===================================================================
--- uspace/lib/drv/generic/remote_usb.c	(revision e0a5d4cfd543daee5dd5a861793ddd18dcb32c0b)
+++ uspace/lib/drv/generic/remote_usb.c	(revision e773f5862b47d5f7a375337c8edca949d9aa9445)
@@ -52,5 +52,6 @@
 usb_dev_session_t *usb_dev_connect_to_self(ddf_dev_t *dev)
 {
-	return devman_parent_device_connect(ddf_dev_get_handle(dev), IPC_FLAG_BLOCKING);
+	return devman_parent_device_connect(ddf_dev_get_handle(dev),
+	    IPC_FLAG_BLOCKING);
 }
 
@@ -90,5 +91,6 @@
 }
 
-static void remote_usb_get_my_description(ddf_fun_t *, void *, ipc_callid_t, ipc_call_t *);
+static void remote_usb_get_my_description(ddf_fun_t *, void *,
+    ipc_callid_t, ipc_call_t *);
 
 /** Remote USB interface operations. */
Index: uspace/lib/drv/generic/remote_usbdiag.c
===================================================================
--- uspace/lib/drv/generic/remote_usbdiag.c	(revision e0a5d4cfd543daee5dd5a861793ddd18dcb32c0b)
+++ uspace/lib/drv/generic/remote_usbdiag.c	(revision e773f5862b47d5f7a375337c8edca949d9aa9445)
@@ -58,5 +58,6 @@
 }
 
-errno_t usbdiag_test_in(async_exch_t *exch, const usbdiag_test_params_t *params, usbdiag_test_results_t *results)
+errno_t usbdiag_test_in(async_exch_t *exch,
+    const usbdiag_test_params_t *params, usbdiag_test_results_t *results)
 {
 	if (!exch)
@@ -64,14 +65,17 @@
 
 	ipc_call_t answer;
-	aid_t req = async_send_1(exch, DEV_IFACE_ID(USBDIAG_DEV_IFACE), IPC_M_USBDIAG_TEST_IN, &answer);
-
-	errno_t rc = async_data_write_start(exch, params, sizeof(usbdiag_test_params_t));
-	if (rc != EOK) {
-		async_exchange_end(exch);
-		async_forget(req);
-		return rc;
-	}
-
-	rc = async_data_read_start(exch, results, sizeof(usbdiag_test_results_t));
+	aid_t req = async_send_1(exch, DEV_IFACE_ID(USBDIAG_DEV_IFACE),
+	    IPC_M_USBDIAG_TEST_IN, &answer);
+
+	errno_t rc = async_data_write_start(exch, params,
+	    sizeof(usbdiag_test_params_t));
+	if (rc != EOK) {
+		async_exchange_end(exch);
+		async_forget(req);
+		return rc;
+	}
+
+	rc = async_data_read_start(exch, results,
+	    sizeof(usbdiag_test_results_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -88,5 +92,6 @@
 }
 
-errno_t usbdiag_test_out(async_exch_t *exch, const usbdiag_test_params_t *params, usbdiag_test_results_t *results)
+errno_t usbdiag_test_out(async_exch_t *exch,
+    const usbdiag_test_params_t *params, usbdiag_test_results_t *results)
 {
 	if (!exch)
@@ -94,14 +99,17 @@
 
 	ipc_call_t answer;
-	aid_t req = async_send_1(exch, DEV_IFACE_ID(USBDIAG_DEV_IFACE), IPC_M_USBDIAG_TEST_OUT, &answer);
-
-	errno_t rc = async_data_write_start(exch, params, sizeof(usbdiag_test_params_t));
-	if (rc != EOK) {
-		async_exchange_end(exch);
-		async_forget(req);
-		return rc;
-	}
-
-	rc = async_data_read_start(exch, results, sizeof(usbdiag_test_results_t));
+	aid_t req = async_send_1(exch, DEV_IFACE_ID(USBDIAG_DEV_IFACE),
+	    IPC_M_USBDIAG_TEST_OUT, &answer);
+
+	errno_t rc = async_data_write_start(exch, params,
+	    sizeof(usbdiag_test_params_t));
+	if (rc != EOK) {
+		async_exchange_end(exch);
+		async_forget(req);
+		return rc;
+	}
+
+	rc = async_data_read_start(exch, results,
+	    sizeof(usbdiag_test_results_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -118,6 +126,8 @@
 }
 
-static void remote_usbdiag_test_in(ddf_fun_t *, void *, ipc_callid_t, ipc_call_t *);
-static void remote_usbdiag_test_out(ddf_fun_t *, void *, ipc_callid_t, ipc_call_t *);
+static void remote_usbdiag_test_in(ddf_fun_t *, void *,
+    ipc_callid_t, ipc_call_t *);
+static void remote_usbdiag_test_out(ddf_fun_t *, void *,
+    ipc_callid_t, ipc_call_t *);
 
 /** Remote USB diagnostic interface operations. */
@@ -133,5 +143,6 @@
 };
 
-void remote_usbdiag_test_in(ddf_fun_t *fun, void *iface, ipc_callid_t callid, ipc_call_t *call)
+void remote_usbdiag_test_in(ddf_fun_t *fun, void *iface,
+    ipc_callid_t callid, ipc_call_t *call)
 {
 	const usbdiag_iface_t *diag_iface = (usbdiag_iface_t *) iface;
@@ -158,5 +169,6 @@
 
 	usbdiag_test_results_t results;
-	const errno_t ret = !diag_iface->test_in ? ENOTSUP : diag_iface->test_in(fun, &params, &results);
+	const errno_t ret = !diag_iface->test_in ? ENOTSUP
+	    : diag_iface->test_in(fun, &params, &results);
 
 	if (ret != EOK) {
@@ -185,5 +197,6 @@
 }
 
-void remote_usbdiag_test_out(ddf_fun_t *fun, void *iface, ipc_callid_t callid, ipc_call_t *call)
+void remote_usbdiag_test_out(ddf_fun_t *fun, void *iface,
+    ipc_callid_t callid, ipc_call_t *call)
 {
 	const usbdiag_iface_t *diag_iface = (usbdiag_iface_t *) iface;
@@ -210,5 +223,6 @@
 
 	usbdiag_test_results_t results;
-	const errno_t ret = !diag_iface->test_out ? ENOTSUP : diag_iface->test_out(fun, &params, &results);
+	const errno_t ret = !diag_iface->test_out ? ENOTSUP
+	    : diag_iface->test_out(fun, &params, &results);
 
 	if (ret != EOK) {
Index: uspace/lib/drv/include/usb_iface.h
===================================================================
--- uspace/lib/drv/include/usb_iface.h	(revision e0a5d4cfd543daee5dd5a861793ddd18dcb32c0b)
+++ uspace/lib/drv/include/usb_iface.h	(revision e773f5862b47d5f7a375337c8edca949d9aa9445)
@@ -46,9 +46,10 @@
 
 typedef struct {
-	usb_address_t address;		/** Current USB address */
-	uint8_t depth;			/** Depth in the hub hiearchy */
-	usb_speed_t speed;		/** Speed of the device */
-	devman_handle_t handle;		/** Handle to DDF function of the HC driver */
-	int iface;			/** Interface set by multi interface driver, -1 if none */
+	usb_address_t address;	/**< Current USB address */
+	uint8_t depth;		/**< Depth in the hub hiearchy */
+	usb_speed_t speed;	/**< Speed of the device */
+	devman_handle_t handle;	/**< Handle to DDF function of the HC driver */
+	/** Interface set by multi interface driver,  -1 if none */
+	int iface;
 } usb_device_desc_t;
 
Index: uspace/lib/drv/include/usbdiag_iface.h
===================================================================
--- uspace/lib/drv/include/usbdiag_iface.h	(revision e0a5d4cfd543daee5dd5a861793ddd18dcb32c0b)
+++ uspace/lib/drv/include/usbdiag_iface.h	(revision e773f5862b47d5f7a375337c8edca949d9aa9445)
@@ -63,13 +63,17 @@
 
 async_sess_t *usbdiag_connect(devman_handle_t);
-void usbdiag_disconnect(async_sess_t*);
+void usbdiag_disconnect(async_sess_t *);
 
-errno_t usbdiag_test_in(async_exch_t*, const usbdiag_test_params_t *, usbdiag_test_results_t *);
-errno_t usbdiag_test_out(async_exch_t*, const usbdiag_test_params_t *, usbdiag_test_results_t *);
+errno_t usbdiag_test_in(async_exch_t *,
+    const usbdiag_test_params_t *, usbdiag_test_results_t *);
+errno_t usbdiag_test_out(async_exch_t*,
+    const usbdiag_test_params_t *, usbdiag_test_results_t *);
 
 /** USB diagnostic device communication interface. */
 typedef struct {
-	errno_t (*test_in)(ddf_fun_t*, const usbdiag_test_params_t *, usbdiag_test_results_t *);
-	errno_t (*test_out)(ddf_fun_t*, const usbdiag_test_params_t *, usbdiag_test_results_t *);
+	errno_t (*test_in)(ddf_fun_t *,
+	    const usbdiag_test_params_t *, usbdiag_test_results_t *);
+	errno_t (*test_out)(ddf_fun_t*,
+	    const usbdiag_test_params_t *, usbdiag_test_results_t *);
 } usbdiag_iface_t;
 
